com.tibbo.aggregate.common.context

## Class EventDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractEntityDefinition
  - - com.tibbo.aggregate.common.context.EventDefinition

- All Implemented Interfaces:
    EntityDefinition, java.lang.Cloneable, java.lang.Comparable<EventDefinition>

      public class EventDefinition
      extends AbstractEntityDefinition
      implements java.lang.Cloneable, java.lang.Comparable<EventDefinition>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONCURRENCY_CONCURRENT`
    `static int` | `CONCURRENCY_SEQUENTIAL`
    `static int` | `CONCURRENCY_SYNCHRONOUS`

    - ### Fields inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `immutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDefinition(java.lang.String name, TableFormat format)`
    `EventDefinition(java.lang.String name, TableFormat format, java.lang.String description)`
    `EventDefinition(java.lang.String name, TableFormat format, java.lang.String description, java.lang.String group)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventDefinition` | `clone()`
    `int` | `compareTo(EventDefinition d)`
    `boolean` | `equals(java.lang.Object obj)`
    `Expression` | `getCachedFingerprintExpression()`
    `int` | `getConcurrency()`
    `java.lang.Integer` | `getEntityType()`
    `long` | `getExpirationPeriod()`
    `java.lang.String` | `getFingerprintExpression()`
    `Permissions` | `getFirePermissions()`
    `TableFormat` | `getFormat()`
    `int` | `getLevel()`
    `java.lang.Integer` | `getMemoryStorageSize()`
    `Permissions` | `getPermissions()`
    `PersistenceOptions` | `getPersistenceOptions()`
    `int` | `getQueueLength()`
    `int` | `hashCode()`
    `boolean` | `isDebuggingEvaluations()`
    `boolean` | `isHidden()`
    `boolean` | `isSessionBound()`
    `void` | `setConcurrency(int concurrency)`
    `void` | `setExpirationPeriod(long expirationPeriod)`
    `void` | `setFingerprintExpression(java.lang.String expression)`
    `void` | `setFirePermissions(Permissions firePermissions)`
    `void` | `setFormat(TableFormat format)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setLevel(int level)`
    `void` | `setMemoryStorageSize(java.lang.Integer memoryStorageSize)`
    `void` | `setPermissions(Permissions permissions)`
    `void` | `setQueueLength(int queueLength)`
    `void` | `setSessionBound(boolean sessionBound)`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getIndex, getName, getOwner, isImmutable, setDescription, setGroup, setHelp, setIconId, setImmutable, setIndex, setName, setOwner, toDetailedString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONCURRENCY_SYNCHRONOUS

          public static int CONCURRENCY_SYNCHRONOUS

    - #### CONCURRENCY_SEQUENTIAL

          public static int CONCURRENCY_SEQUENTIAL

    - #### CONCURRENCY_CONCURRENT

          public static int CONCURRENCY_CONCURRENT

  - ### Constructor Detail

    - #### EventDefinition

          public EventDefinition(java.lang.String name,
                                 TableFormat format)

    - #### EventDefinition

          public EventDefinition(java.lang.String name,
                                 TableFormat format,
                                 java.lang.String description)

    - #### EventDefinition

          public EventDefinition(java.lang.String name,
                                 TableFormat format,
                                 java.lang.String description,
                                 java.lang.String group)

  - ### Method Detail

    - #### setFormat

          public void setFormat(TableFormat format)

    - #### setHidden

          public void setHidden(boolean hidden)

    - #### setPermissions

          public void setPermissions(Permissions permissions)

    - #### setExpirationPeriod

          public void setExpirationPeriod(long expirationPeriod)

    - #### setLevel

          public void setLevel(int level)

    - #### getFormat

          public TableFormat getFormat()

    - #### isHidden

          public boolean isHidden()

    - #### getPermissions

          public Permissions getPermissions()

    - #### getExpirationPeriod

          public long getExpirationPeriod()

    - #### getLevel

          public int getLevel()

    - #### getFirePermissions

          public Permissions getFirePermissions()

    - #### setFirePermissions

          public void setFirePermissions(Permissions firePermissions)

    - #### getPersistenceOptions

          public PersistenceOptions getPersistenceOptions()

    - #### getMemoryStorageSize

          public java.lang.Integer getMemoryStorageSize()

    - #### setMemoryStorageSize

          public void setMemoryStorageSize(java.lang.Integer memoryStorageSize)

    - #### getConcurrency

          public int getConcurrency()

    - #### setConcurrency

          public void setConcurrency(int concurrency)

    - #### setSessionBound

          public void setSessionBound(boolean sessionBound)

    - #### isSessionBound

          public boolean isSessionBound()

    - #### clone

          public EventDefinition clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(EventDefinition d)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<EventDefinition>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getFingerprintExpression

          public java.lang.String getFingerprintExpression()

    - #### setFingerprintExpression

          public void setFingerprintExpression(java.lang.String expression)

    - #### getCachedFingerprintExpression

          public Expression getCachedFingerprintExpression()

    - #### getEntityType

          public java.lang.Integer getEntityType()

      Specified by:
        `getEntityType` in interface `EntityDefinition`
      Overrides:
        `getEntityType` in class `AbstractEntityDefinition`

    - #### getQueueLength

          public int getQueueLength()

    - #### setQueueLength

          public void setQueueLength(int queueLength)

    - #### isDebuggingEvaluations

          public boolean isDebuggingEvaluations()